## golang-k8s-sigs-kustomize-api 0.18.0%2Bds

=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.18.0+ds-4) unstable; urgency=medium

  * d/rules: Skip tests not supported on riscv64

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 12 Feb 2025 22:52:35 +0000

golang-k8s-sigs-kustomize-api (0.18.0+ds-3) unstable; urgency=medium

  * d/rules: Remove generated .so files via execute_before_dh_auto_install
  * d/rules: Set DH_GOLANG_EXCLUDES_ALL to false

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 29 Jan 2025 19:29:49 +0000

golang-k8s-sigs-kustomize-api (0.18.0+ds-2) unstable; urgency=medium

  * Source-only upload for migration
  * d/control: Fix Vcs Browser and Git URLs
  * d/copyright: Update debian copyright year to 2025
  * d/rules: Remove execute_before_dh_auto_install

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 29 Jan 2025 00:10:07 +0000

golang-k8s-sigs-kustomize-api (0.18.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1090321)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 16 Dec 2024 18:19:38 +0000
