## golang-k8s-sigs-kustomize-api 0.19.0+ds

=== plugin/untested/v1/gogetter/Makefile ===
# Copyright 2022 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ./../../../../Makefile-modules.mk

lint:
	echo "Skipping lint for broken module untested/v1/gogetter"
