## golang-k8s-sigs-kustomize-api 0.18.0+ds

=== debian/control ===
Source: golang-k8s-sigs-kustomize-api
Section: golang
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               git,
               golang-github-blang-semver-dev,
               golang-github-go-errors-errors-dev,
               golang-github-google-shlex-dev,
               golang-github-stretchr-testify-dev,
               golang-uber-goleak-dev,
               golang-github-evanphx-json-patch-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-sigs-kustomize-kyaml-dev,
               golang-k8s-sigs-yaml-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api.git
Homepage: https://github.com/kubernetes-sigs/kustomize
XS-Go-Import-Path: sigs.k8s.io/kustomize

Package: golang-k8s-sigs-kustomize-api-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-blang-semver-dev,
         golang-github-go-errors-errors-dev,
         golang-github-google-shlex-dev,
         golang-github-stretchr-testify-dev,
         golang-uber-goleak-dev,
         golang-github-evanphx-json-patch-dev,
         golang-k8s-kube-openapi-dev,
         golang-k8s-sigs-kustomize-kyaml-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: Core API components and utilities for Kustomize (library)
 The kustomize/api module is part of the Kustomize project, which is designed
 to manage and customize Kubernetes configurations declaratively.
 .
 This library focuses on the API layer that supports Kustomize's core
 functionality, enabling users to manipulate Kubernetes resource manifests
 programmatically.
 .
 Key features include support for resource transformations, overlays, and
 patching strategies that align with Kubernetes best practices.
 .
 The API also provides utilities for YAML parsing, field mutation, and
 maintaining consistent configuration workflows, making it essential for
 developers building tools or extensions around Kubernetes configuration
 management.
