## golang-k8s-sigs-kustomize-api 0.19.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.19.0+ds-1) unstable; urgency=medium

  * New upstream version 0.19.0+ds
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/gitlab-ci.yml: Remove pipeline from go team
  * d/p/*: Create patch to set Git messages to English for
    TestRemoteLoad_LocalProtocol
  * d/rules: Increase test timeout to 30 min
  * d/salsa-ci.yml: Add Salsa CI default pipeline

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 24 Mar 2025 17:34:31 +0000
