=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                golang-k8s-sigs-kustomize-kyaml-dev,
                golang-k8s-sigs-yaml-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api
 Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api.git
 Homepage: https://github.com/kubernetes-sigs/kustomize
