## golang-k8s-sigs-kustomize-api 0.20.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                golang-github-go-errors-errors-dev,
                golang-github-google-shlex-dev,
                golang-github-stretchr-testify-dev,
+               golang-gopkg-yaml.v2-dev,
                golang-uber-goleak-dev,
                golang-github-evanphx-json-patch-dev,
                golang-k8s-kube-openapi-dev,
@@ -31,6 +32,7 @@
          golang-github-go-errors-errors-dev,
          golang-github-google-shlex-dev,
          golang-github-stretchr-testify-dev,
+         golang-gopkg-yaml.v2-dev,
          golang-uber-goleak-dev,
          golang-github-evanphx-json-patch-dev,
          golang-k8s-kube-openapi-dev,
