=== plugin/someteam.example.com/v1/validator/Makefile ===
# Copyright 2022 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ./../../../../Makefile-modules.mk

lint:
	echo "Skipping lint for broken module someteam.example.com/v1/validator"
