=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.20.1+ds-1) unstable; urgency=medium

  * New upstream version 0.20.1+ds
  * d/control: Add golang-gopkg-yaml.v2-dev dependency
  * d/p/0002: Drop patch that sets git messages to english (applied upstream)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 11 Aug 2025 22:46:00 +0100
