=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
 
 override_dh_auto_test:
 	# Set missing flags and skip tests that try to access the internet.
-	dh_auto_test --builddirectory=_build -- -ldflags "$(LDFLAGS)" -skip="$(SKIP_TESTS)"
+	dh_auto_test --builddirectory=_build -- -ldflags "$(LDFLAGS)" -skip="$(SKIP_TESTS)" -timeout 30m
 
 execute_before_dh_auto_install:
 	find $(CURDIR)/_build/src/sigs.k8s.io/kustomize/plugin -type f -name "*.so" -delete
