## golang-k8s-sigs-kustomize-api 0.21.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
 	TestRemoteTargetDefaultDst|\
 	ExampleFilter|\
 	TestSedTransformer|\
-	TestPluginEnvironment
+	TestPluginEnvironment|\
+	TestLoaderHTTPMalformedURL
 
 # Additional tests to skip not supported on linux/riscv64
 ifeq ($(DEB_HOST_ARCH),riscv64)
