## golang-k8s-sigs-kustomize-api 0.21.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.21.0+ds-1) unstable; urgency=medium

  * New upstream version 0.21.0+ds
  * d/rules: Skip network-dependent TestLoaderHTTPMalformedURL test

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 19 Dec 2025 01:31:33 +0000
